# inc_plot_radial_saeulendiagramme.r

# alle daten aus der Auswahl durchgehen.... -----------------------

for (i in 1:length(auswahl)) {
land<-daten[auswahl[i],3:length(daten)]+1 
land[is.na(land)]<-1    # fehlende Werte ersetzen

# ....fuer jedes Land eine Liste erzeugen ---------------------------

landdaten<-NULL
for (j in 1:length(land)) 
{
landdaten<-c(landdaten,list(0:as.numeric(land[j])))
}
radial.pie(datenrand,label.prop=1.35,show.grid.labels=F,boxed.radial=F,
	show.radial.grid=F,grid.bg=par("bg"),grid.col=gridfarbe,labels=namen,
	sector.colors=rfarben,mar=radial_mar,radial.lim=c(0,11),xpd=T)

radial.pie(landdaten,label.prop=1.35,show.grid.labels=F,boxed.radial=F,
	show.radial.grid=T,grid.bg=par("bg"),grid.col=gridfarbe,labels=namen,
	sector.colors=rfarben,mar=radial_mar,radial.lim=c(0,11),xpd=T,add=T)

radial.pie(datenmitte,label.prop=1.35,show.grid.labels=F,boxed.radial=F,
	show.radial.grid=F,grid.bg=par("bg"),grid.col=gridfarbe,labels=namen,
	sector.colors=mfarben,mar=radial_mar,radial.lim=c(0,11),xpd=T,add=T)

titel<-daten[auswahl[i], "COUNTRY"]
mtext(titel,3,line=mlinie,adj=0.5,cex=2,col="white")
}
